/**
 * Copyright (c) 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.util;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;
import java.util.Map;

import org.ow2.petals.cli.api.command.Command;
import org.ow2.petals.cli.api.connection.ConnectionParameters;
import org.ow2.petals.cli.api.exception.DuplicatedCommandException;
import org.ow2.petals.cli.api.exception.NoInteractiveShellException;
import org.ow2.petals.cli.api.exception.ShellException;
import org.ow2.petals.cli.api.shell.Shell;

public class SimpleShell implements Shell {

    /**
     * The output stream
     */
    private final PrintStream printStream;

    /**
     * The error stream
     */
    private final PrintStream errorStream;

    public SimpleShell(final ByteArrayOutputStream baosOutput, final ByteArrayOutputStream baosError) {

        this.printStream = new PrintStream(baosOutput);
        this.errorStream = new PrintStream(baosError);

    }

    @Override
    public void registersCommand(Command command) throws DuplicatedCommandException,
            IllegalArgumentException {
        // NOP
    }

    @Override
    public Map<String, Command> getCommands() {
        return null;
    }

    @Override
    public void exit(int status) {
        // NOP
    }

    @Override
    public void setExitStatus(int exitStatus) {
        // NOP
    }

    @Override
    public PrintStream getPrintStream() {
        return this.printStream;
    }

    @Override
    public PrintStream getErrorStream() {
        return this.errorStream;
    }

    @Override
    public String interpolate(String str) {
        return null;
    }

    @Override
    public String askQuestion(String question, boolean isReplyPassword)
            throws NoInteractiveShellException, ShellException {
        return null;
    }

    @Override
    public boolean confirms(String message) throws ShellException {
        return false;
    }

    @Override
    public boolean isInteractive() {
        return false;
    }

    @Override
    public void setPrompt(String prompt) {
        // NOP
    }

    @Override
    public boolean isDebugModeEnable() {
        return false;
    }

    @Override
    public void setConnectionParameters(ConnectionParameters connectionParameters) {
        // NOP
    }

    @Override
    public ConnectionParameters getConnectionParameters() {
        return null;
    }

    @Override
    public boolean isAsynchronousCommandInProgress() {
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public void addAsynchronousCommand() {
        // TODO Auto-generated method stub
    }

    @Override
    public void removeAsynchronousCommand() {
        // TODO Auto-generated method stub
    }

}
